package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.AlgorithmDto;
import com.xy.utils.R;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 算法平台 服务类
 * </p>
 *
 * @author hechunping
 * @since 2023-01-12
 */
@RestMappingController("/algorithm")
public interface AlgorithmService {
    @ApiOperation("列表")
    @PostMapping("list")
    R<List<AlgorithmDto.Vo>> list(@RequestBody AlgorithmDto.SelectList selectList);

    @ApiOperation("增加修改")
    @PostMapping("saveOrUpdate")
    R saveOrUpdate(@Validated @RequestBody AlgorithmDto.Save saveDto);
}
